# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "sansio-codec"
version = "0.1.0"
authors = ["Rain Liu <y@liu.mx>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Protocol codecs for sansio: frame decoders, string codecs, and transport abstractions"
homepage = "https://sansio.org"
documentation = "https://docs.rs/sansio-codec"
readme = "README.md"
keywords = [
    "sansio",
    "codec",
]
categories = [
    "asynchronous",
    "network-programming",
]
license = "MIT/Apache-2.0"
repository = "https://github.com/sansio-org/sansio"
resolver = "2"

[lib]
name = "sansio_codec"
path = "src/lib.rs"

[dependencies.bytes]
version = "1.11.0"

[dependencies.sansio]
version = "0.1.0"

[dependencies.sansio-transport]
version = "0.1.0"
